%define modulename html5lib
%define subrel 1

Name:		python-%{modulename}
Summary:	A python based HTML parser/tokenizer
Version:	1.0b3
Release:	%mkrel 7
Group:		Development/Python
License:	MIT
URL:		https://pypi.python.org/pypi/%{modulename}

Source0:	https://pypi.python.org/packages/source/h/%{modulename}/%{modulename}-%{version}.tar.gz	
Patch0:		CVE-2016-9909-CVE-2016-9910.patch
BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:	pkgconfig(python)
BuildRequires:	python-nose
BuildRequires:	python-six

BuildRequires:	pkgconfig(python3)
BuildRequires:	python-tools
BuildRequires:	python3-nose
BuildRequires:	python3-six
BuildRequires:	python3-setuptools


%description
A python based HTML parser/tokenizer based on the WHATWG HTML5 
specification for maximum compatibility with major desktop web browsers.

%package -n python3-%{modulename}
Summary:	A python based HTML parser/tokenizer 
Group:		Development/Python 

%description -n python3-%{modulename}
A python based HTML parser/tokenizer based on the WHATWG HTML5 
specification for maximum compatibility with major desktop web browsers.


%prep
%setup -q -n %{modulename}-%{version} 
%patch0 -p1
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd


%install

pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
nosetests

pushd %{py3dir}
nosetests-%{py3ver}
popd

%files
%doc CHANGES.rst README.rst LICENSE 
%{python_sitelib}/%{modulename}-*.egg-info
%{python_sitelib}/%{modulename}

%files -n python3-%{modulename}
%doc CHANGES.rst LICENSE README.rst
%{python3_sitelib}/%{modulename}-*.egg-info
%{python3_sitelib}/%{modulename}



%changelog
* Sat Dec 10 2016 philippem <philippem> 1.0b3-7.1.mga5
+ Revision: 1074056
- fix CVE-2016-9909 and CVE-2016-9910, mga#19912

* Wed Oct 15 2014 umeabot <umeabot> 1.0b3-7.mga5
+ Revision: 742680
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0b3-6.mga5
+ Revision: 728735
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0b3-5.mga5
+ Revision: 688082
- Mageia 5 Mass Rebuild

* Mon Jun 02 2014 philippem <philippem> 1.0b3-4.mga5
+ Revision: 630671
- fix tests under Python3

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0b3-3.mga4
+ Revision: 543477
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0b3-2.mga4
+ Revision: 498719
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Aug 24 2013 philippem <philippem> 1.0b3-1.mga4
+ Revision: 470869
- imported package python-html5lib

